<template>
    <div>
      <img v-if="nombreImagen && imageSrc" :src="imageSrc" alt="" />
    </div>
  </template>
  
  <script>
  import axios from 'axios'; 
  export default {
    data() {
      return {
        imageSrc: '',
      }
    },
  
    props: {
      nombreImagen: {
        type: String
      }
    },
  
    methods: {
      async getImage() {
        try {
          const url = 'http://localhost:3001/multimedia/fileSystem/img';
  
          const params = {
            fileName: this.nombreImagen
          };
  
          const response = await axios.get(url, {
            params,
            responseType: 'blob'
          });
  
          const url_3 = window.URL.createObjectURL(new Blob([response.data]));
          this.imageSrc = url_3;
        } catch (error) {
          console.error(error);
        }
      },
  
      showImg() {
        if (this.nombreImagen) {
          this.getImage();
        }
      }
    },
  
    watch: {
      nombreImagen: {
        immediate: true,
        handler() {
          this.showImg();
        }
      }
    }
  }
  </script>
  